> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Shrine Progress



## OpenAPI

````yaml immo/openapi.json get /shrine
openapi: 3.1.0
info:
  title: IMMO API
  description: Uses the official API and caches the content for a few minutes or an hour.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://immo.soyab.uk
security: []
paths:
  /shrine:
    get:
      summary: Shrine Progress
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Shrine'
components:
  schemas:
    Shrine:
      type: object
      properties:
        progress:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              tier:
                type: object
                properties:
                  key:
                    type: string
                  name:
                    type: string
                required:
                  - key
                  - name
              effects:
                type: array
                items:
                  type: object
                  properties:
                    target:
                      type: string
                    attribute:
                      type: string
                    value:
                      type: number
                    value_type:
                      type: string
                  required:
                    - target
                    - attribute
                    - value
                    - value_type
              current_value:
                type: number
              target_value:
                type: number
              target_remaining:
                type: number
              percentage:
                type: number
              goal_reached_at: {}
              is_active:
                type: boolean
              in_progress:
                type: boolean
              can_activate:
                type: boolean
            required:
              - id
              - tier
              - effects
              - current_value
              - target_value
              - target_remaining
              - percentage
              - goal_reached_at
              - is_active
              - in_progress
              - can_activate
        endpoint_updates_at:
          type: string
      required:
        - progress
        - endpoint_updates_at

````